Skip to main content
GET
/
api
/
v1
/
deployed-contracts
/
{contractAddress}
/
{network}
Get Deployed Contract by Address
curl --request GET \
  --url https://sandbox.oumla.com/api/v1/deployed-contracts/{contractAddress}/{network} \
  --header 'x-api-key: <api-key>'
{ "deployedContract": { "id": "123e4567-e89b-12d3-a456-426614174000", "contractAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb", "network": "ETH", "contractTemplateId": "123e4567-e89b-12d3-a456-426614174000", "vauldAccountId": "123e4567-e89b-12d3-a456-426614174000" } }

Authorizations

x-api-key
string
header
required

API key for authentication. Obtain your API key from the dashboard.

Headers

x-sdk-version
string
default:1.0.0

SDK version header

Path Parameters

contractAddress
string
required

Contract address

network
enum<string>
required

Network

Available options:
tBTC,
tETH,
AVAX,
FUJI,
SANDBOX

Response

Successfully retrieved deployed contract by address

Deployed contract by address response object

deployedContract
object